From 8355eefb5e74b0841126b7ecd8a3241871d39acd Mon Sep 17 00:00:00 2001
From: Kevin Redon <kevredon@mail.tsaitgaist.info>
Date: Tue, 11 Sep 2012 11:40:41 +0200
Subject: [PATCH 1/6] comment/explain signature of osim_new_apdumsg

---
 src/sim/core.c |   11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/src/sim/core.c b/src/sim/core.c
index bc0d05c..8690752 100644
--- a/src/sim/core.c
+++ b/src/sim/core.c
@@ -174,8 +174,15 @@ osim_file_find_name(struct osim_file_desc *parent, const char *name)
 	return NULL;
 }
 
-
-
+/* create an APDU header
+ * APDU format as defined in ISO/IEC 7816-4:2005(E) §5.1
+ * - cla: CLASS byte
+ * - ins: INSTRUCTION byte
+ * - p1: Parameter 1 byte
+ * - p2: Parameter 2 byte
+ * - lc: number of bytes in the command data field Nc, which will encoded in 0, 1 or 3 bytes into Lc
+ * - le: maximum number of bytes expected in the response data field,  which will encoded in 0, 1, 2 or 3 bytes into Le
+ */
 struct msgb *osim_new_apdumsg(uint8_t cla, uint8_t ins, uint8_t p1,
 			      uint8_t p2, uint16_t lc, uint16_t le)
 {
-- 
1.7.9.5

